# Contribution Guide

## Got a Question or Problem?
Please take a look at the [wiki](https://github.com/irtimmer/moonlight-embedded/wiki) to see if answers your questions about the usage of Moonlight Embedded.

If you still have questions about Moonlight Embedded, please use one of the different fora discussing Moonlight Embedded.

[XDA](http://forum.xda-developers.com/showthread.php?t=2505510) Moonlight in General  
[Raspberry Pi Forum](http://www.raspberrypi.org/forums/viewtopic.php?f=78&t=65878) Moonlight Embedded for Raspberry Pi  
[SolidRun Community](http://www.solid-run.com/community/viewtopic.php?f=13&t=1489&p=11173) Moonlight Embedded for Cubox-i and Hummingboard  
[ODROID Forum](http://forum.odroid.com/viewtopic.php?f=91&t=15456) Moonlight Embedded on ODROID  

## Found an Issue?
If you think you found a bug in Moonlight Embedded you can submit a issue. But please ensure first you have checked the following or otherwise we will mark the issue as invalid:
- [ ] It's a bug in Moonlight Embedded and not in NVidia Geforce Experience or Steam as we otherwise can't fix them
- [ ] It's not a misconfiguration of your own setup. Like firewall misconfiguration.
- [ ] Their is no other bug report with the same issue. Check also the closed issues in case your bug is already solved in master.

Also provide as much information as possible about your setup and how to produce the issue so their are higher chances we can reproduce the issue and fix it. Even better you can submit a Pull Request
with a fix.

## Feature request
There are not much developers working on Moonlight Embedded. So it currently doesn't make much sense to use the issue tracker to submit feature request. Please try to implement it yourself and submit a pull request or discuss it on one of the fora to see if someone else is able to implement it.

## Submitting a Pull Request
Have you created a cool new feature or fixed a few bugs you can submit a pull request. But before your request is merged you have to check the following.
- [ ] Your branch is based on a recent commit and can be merge cleanly
- [ ] Your code uses the same code style as the rest of the code
- [ ] Your history is cleanup and you provide one or multiple commits
- [ ] Your commits only changes the necessery lines and not accidently changes whitespace or add or remove empty lines.

If these guide lines are not met we maybe won't merge your pull request or take some to cleanup your pull request before merging. Depending on how bad we wan't your code.